WMEMMOVE(3)

NAME
wmemmove - copy wide characters

SYNOPSIS
#include <wchar.h>
wchar_t *
wmemmove(wchar_t *dst, const wchar_t *src, size_t len);

DESCRIPTION
The wmemmove() function copies len wide characters from buffer src to buffer dst. The two buffers may overlap; the copy is always done in a non-destructive manner.

RETURN VALUES
The wmemmove() function returns the original value of dst.

SEE ALSO
memmove(3), wcscpy(3), wcslcpy(3), wmemcpy(3)

STANDARDS
The wmemmove() function conforms to isoC-99 and was first introduced in isoC-amd1.

HISTORY
The wmemmove() function was ported from NetBSD and first appeared in OpenBSD 3.8.